#include<bits/stdc++.h>
typedef long long ll;
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    string a,b;
    cin >> a >> b;
    reverse(a.begin(),a.end());
    reverse(b.begin(),b.end());
    string s="";
    int n=a.length(),m=b.length();
    int i;
    for (i=0; i<n && i<m; i++)
    {
        if ((int)a[i]>(int)b[i])
            s+=a[i];
        if ((int)a[i]<(int)b[i])
            s+=b[i];
        if ((int)a[i]==(int)b[i])
        {
            s+=a[i];
            s+=a[i];
        }
    }
    if (n>m)
        for (int j=i; j<n; j++)
            s+=a[j];
    if (n<m)
        for (int j=i; j<m; j++)
            s+=b[j];
    reverse(s.begin(),s.end());
    cout << s;
    return 0;
}